panel-pref: add option for log level
[lxde/lxpanel.git] / autogen.sh
1 #! /bin/sh
2 AC_VERSION=
3
4 AUTOMAKE=${AUTOMAKE:-automake}
5 AM_INSTALLED_VERSION=$($AUTOMAKE --version | sed -e '2,$ d' -e 's/.* \([0-9]*\.[0-9]*\).*/\1/')
6
7 if [ "$AM_INSTALLED_VERSION" != "1.10" \
8 -a "$AM_INSTALLED_VERSION" != "1.11" \
9 -a "$AM_INSTALLED_VERSION" != "1.12" ];then
10 echo
11 echo "You must have automake 1.10, 1.11, or 1.12 installed to compile lxpanel."
12 echo "Install the appropriate package for your distribution,"
13 echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
14 exit 1
15 fi
16
17 set -x
18
19 if [ "x${ACLOCAL_DIR}" != "x" ]; then
20 ACLOCAL_ARG=-I ${ACLOCAL_DIR}
21 fi
22
23 ${ACLOCAL:-aclocal$AM_VERSION} ${ACLOCAL_ARG}
24 ${AUTOHEADER:-autoheader$AC_VERSION} --force
25 AUTOMAKE=$AUTOMAKE libtoolize -c --automake --force
26 AUTOMAKE=$AUTOMAKE intltoolize -c --automake --force
27 $AUTOMAKE --add-missing --copy --include-deps
28 ${AUTOCONF:-autoconf$AC_VERSION}
29
30 rm -rf autom4te.cache